- Qt 5.15
- Qt Core
- C++ Classes
- QLibraryInfo
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QLibraryInfo

The following members of class QLibraryInfo are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` QDate | buildDate()
`(obsolete)` QString | licensedProducts()
`(obsolete)` QString | licensee()

## Member Function Documentation

### `[static]` QDate QLibraryInfo::buildDate()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function used to return the installation date for this build of Qt, but now returns a constant date.

This function was introduced in Qt 4.6.

### `[static]` QString QLibraryInfo::licensedProducts()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function used to return the products that the license for this build of Qt has access to, now returns an empty string.

### `[static]` QString QLibraryInfo::licensee()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function used to return the person to whom this build of Qt is licensed, now returns an empty string.